### Function

# Qmi WdsSoCdma1x build_string_from_mask

since: 1.0

#### Declaration [src]

    gchar*
    qmi_wds_so_cdma1x_build_string_from_mask (
      QmiWdsSoCdma1x mask
    )

#### Description [src]

Builds a string containing a comma-separated list of nicknames for each `QmiWdsSoCdma1x` in `mask`.

Available since: 1.0

#### Parameters

`mask`

  Type: `QmiWdsSoCdma1x`

  Bitmask of QmiWdsSoCdma1x values.

#### Return value

Type: `gchar*`

A string with the list of nicknames, or `NULL` if none given. The returned value should be freed with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.